From: [email-masked] (Lee Siu Hoi (BACS4 Class A))
Date: Mon, 21 Mar 94 12:03:04 HKT

Hi all,

I want to index on a composite attribute.  And I've tried the following command:

__________________________________

create test (i = int4) \g

define function j (language = "postquel", returntype = int4)
	arg is (test)
	as "retrieve (x = $1.i)" \g

define index test_index on test using btree (j int4_ops) \g

WARN:Mar 21 11:57:06:DefineIndex: attribute "j" not found

__________________________________

It seems that composite attribute j is not allowed to define index.

Can I define index on compsite attribute or user define function?

Thanks in advance.

Hoi